## GocWidget

GocWidget — Widgets.

## Functions

void | goc_widget_set_bounds ()

## Properties

double | height | Read / Write
GtkWidget * | widget | Read / Write
double | width | Read / Write
double | x | Read / Write
double | y | Read / Write

## Types and Values

| GocWidget
typedef | GocWidgetClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocWidget

## Description

GocWidget implements widgets embedding in the canvas.

## Functions

### goc_widget_set_bounds ()

    void
    goc_widget_set_bounds (GocWidget *widget,
                           double left,
                           double top,
                           double width,
                           double height);

## Types and Values

### GocWidget

    typedef struct _GocWidget GocWidget;

### GocWidgetClass

    typedef GocItemClass GocWidgetClass;

## Property Details

### The `“height”` property

      “height”                   double

The widget height.

Owner: GocWidget

Flags: Read / Write

Allowed values: [0,2048]

Default value: 0

### The `“widget”` property

      “widget”                   GtkWidget *

A pointer to the embedded widget.

Owner: GocWidget

Flags: Read / Write

### The `“width”` property

      “width”                    double

The widget width.

Owner: GocWidget

Flags: Read / Write

Allowed values: [0,2048]

Default value: 0

### The `“x”` property

      “x”                        double

The widget left position.

Owner: GocWidget

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        double

The widget top position.

Owner: GocWidget

Flags: Read / Write

Default value: 0